## org.eclipse.datatools.modelbase.sql.query
Interface PredicateLike

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, Predicate, QuerySearchCondition, SearchCondition, SQLObject, SQLQueryObject

    public interface PredicateLike

extends Predicate

A representation of the model object 'SQL Predicate Like'.

The following features are supported:

- `Not Like`
- `Pattern Value Expr`
- `Matching Value Expr`
- `Escape Value Expr`

See Also:
  `SQLQueryModelPackage.getPredicateLike()`

Method Summary
`QueryValueExpression` `getEscapeValueExpr()` Returns the value of the 'Escape Value Expr' containment reference.
`QueryValueExpression` `getMatchingValueExpr()` Returns the value of the 'Matching Value Expr' containment reference.
`QueryValueExpression` `getPatternValueExpr()` Returns the value of the 'Pattern Value Expr' containment reference.
`boolean` `isNotLike()` Returns the value of the 'Not Like' attribute.
`void` `setEscapeValueExpr(QueryValueExpression value)` Sets the value of the '`Escape Value Expr`' containment reference.
`void` `setMatchingValueExpr(QueryValueExpression value)` Sets the value of the '`Matching Value Expr`' containment reference.
`void` `setNotLike(boolean value)` Sets the value of the '`Not Like`' attribute.
`void` `setPatternValueExpr(QueryValueExpression value)` Sets the value of the '`Pattern Value Expr`' containment reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.Predicate
`getSelectivityValue, isHasSelectivity, isNegatedPredicate, setHasSelectivity, setNegatedPredicate, setSelectivityValue`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.QuerySearchCondition

`getCombinedLeft, getCombinedRight, getDeleteStatement, getMergeOnCondition, getNest, getQuerySelectHaving, getQuerySelectWhere, getTableJoined, getUpdateStatement, getValueExprCaseSearchContent, isNegatedCondition, setCombinedLeft, setCombinedRight, setDeleteStatement, setMergeOnCondition, setNegatedCondition, setNest, setQuerySelectHaving, setQuerySelectWhere, setTableJoined, setUpdateStatement, setValueExprCaseSearchContent`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.expressions.SearchCondition
`getSQL, setSQL`

Method Detail

### isNotLike

    boolean isNotLike()

  Returns the value of the 'Not Like' attribute.

  If the meaning of the 'Not Like' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Not Like' attribute.
  See Also:
    `setNotLike(boolean)`, `SQLQueryModelPackage.getPredicateLike_NotLike()`

### setNotLike

    void setNotLike(boolean value)

  Sets the value of the '`Not Like`' attribute.

  Parameters:
    `value` - the new value of the 'Not Like' attribute.
  See Also:
    `isNotLike()`

### getPatternValueExpr

    QueryValueExpression getPatternValueExpr()

  Returns the value of the 'Pattern Value Expr' containment reference. It is bidirectional and its opposite is '`Like Pattern`'.

  If the meaning of the 'Pattern Value Expr' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Pattern Value Expr' containment reference.
  See Also:
    `setPatternValueExpr(QueryValueExpression)`, `SQLQueryModelPackage.getPredicateLike_PatternValueExpr()`, `QueryValueExpression.getLikePattern()`

### setPatternValueExpr

    void setPatternValueExpr(QueryValueExpression value)

  Sets the value of the '`Pattern Value Expr`' containment reference.

  Parameters:
    `value` - the new value of the 'Pattern Value Expr' containment reference.
  See Also:
    `getPatternValueExpr()`

### getMatchingValueExpr

    QueryValueExpression getMatchingValueExpr()

  Returns the value of the 'Matching Value Expr' containment reference. It is bidirectional and its opposite is '`Like Matching`'.

  If the meaning of the 'Matching Value Expr' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Matching Value Expr' containment reference.
  See Also:
    `setMatchingValueExpr(QueryValueExpression)`, `SQLQueryModelPackage.getPredicateLike_MatchingValueExpr()`, `QueryValueExpression.getLikeMatching()`

### setMatchingValueExpr

    void setMatchingValueExpr(QueryValueExpression value)

  Sets the value of the '`Matching Value Expr`' containment reference.

  Parameters:
    `value` - the new value of the 'Matching Value Expr' containment reference.
  See Also:
    `getMatchingValueExpr()`

### getEscapeValueExpr

    QueryValueExpression getEscapeValueExpr()

  Returns the value of the 'Escape Value Expr' containment reference. It is bidirectional and its opposite is '`Like Escape`'.

  If the meaning of the 'Escape Value Expr' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Escape Value Expr' containment reference.
  See Also:
    `setEscapeValueExpr(QueryValueExpression)`, `SQLQueryModelPackage.getPredicateLike_EscapeValueExpr()`, `QueryValueExpression.getLikeEscape()`

### setEscapeValueExpr

    void setEscapeValueExpr(QueryValueExpression value)

  Sets the value of the '`Escape Value Expr`' containment reference.

  Parameters:
    `value` - the new value of the 'Escape Value Expr' containment reference.
  See Also:
    `getEscapeValueExpr()`